# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.http
Interface HttpAuthToken

All Superinterfaces:
  AuthTokenFactory.AuthToken

All Known Implementing Classes:
  GoogleAuthTokenFactory.AuthSubToken, GoogleAuthTokenFactory.OAuthToken, GoogleAuthTokenFactory.UserToken

    public interface HttpAuthToken

extends AuthTokenFactory.AuthToken

The HttpAuthToken interface represents a token used to authenticate an HTTP request. It encapsulates the functionality to create the "Authorization" header to be appended to a HTTP request.

Method Summary
`java.lang.String` `getAuthorizationHeader(java.net.URL requestUrl, java.lang.String requestMethod)` Returns an authorization header to be used for a HTTP request for the respective authentication token.

Method Detail

### getAuthorizationHeader

    java.lang.String getAuthorizationHeader(java.net.URL requestUrl,
                                            java.lang.String requestMethod)

  Returns an authorization header to be used for a HTTP request for the respective authentication token.

  Parameters:
    `requestUrl` - the URL being requested
    `requestMethod` - the HTTP method of the request
  Returns:
    the "Authorization" header to be used for the request